org.eclipse.swt.accessibility

## Class AccessibleActionEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.accessibility.AccessibleActionEvent

    public class AccessibleActionEvent
    extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleAction messages to an accessible object.

Since:
  1.4
See Also:
  `AccessibleActionListener`, `AccessibleActionAdapter`

### Field Summary

Fields
`int` `count`
`int` `index`
`boolean` `localized`
`java.lang.String` `result` The value of this field must be set in the accessible action listener method before returning.

### Constructor Summary

Constructors
Constructor and Description
`AccessibleActionEvent(java.lang.Object source)` Constructs a new instance of this class.

### Method Summary

Methods
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### result

    public java.lang.String result

The value of this field must be set in the accessible action listener method before returning. What to set it to depends on the listener method called.

#### count

    public int count

#### index

    public int index

#### localized

    public boolean localized

### Constructor Detail

#### AccessibleActionEvent

    public AccessibleActionEvent(java.lang.Object source)

Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0